Subject: Re: [PATCH][BONDING] Add max_bonds kernel parameter

From: Phil Oester <[email-masked]>
Date: Fri, 29 Feb 2008 11:31:59 -0800

On Fri, Feb 29, 2008 at 11:03:56AM -0800, Jay Vosburgh wrote:
> 	The kernel should already handle options for compiled-in
> modules.  For bonding, you'd put something like "bonding.max_bonds=3" on
> the kernel boot line.  No need to patch bonding for this.  This is
> described in Documentation/kernel-parameters.txt (right at the top).

Duh...guess I should've read the file I was patching. :-/
 
> 	On your other patch, I don't see a big issue with allowing
> max_bonds to be zero; I'll have a look at the details and test it out.

Thanks.  Initscripts doesn't like it when it is set to zero,
but at least we can hopefully get the kernel to allow it, then 
fixup initscipts later.

Phil